logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

ResumeRTCStreams

GET

https://rtc-api.zego.im/

Call this API to batch resume RTC stream publishing. You can batch resume Stream IDs that are forbidden from publishing to the RTC media service. Used together with batch forbidding RTC stream publishing.

Rate Limit
For all rooms under the same AppID: 20 times/second (test environment: 5 times/second)
Note

In the test environment (see the IsTest common parameter description for details), the Stream ID must be prefixed with "zegotest-AppId-". For example, if the Stream ID is "test" and the AppId is "123456789" in the test environment, the Stream ID should be "zegotest-123456789-test".

Request

Query Parameters

    Action stringrequired

    Possible values: [ResumeRTCStreams]

    API prototype parameters

    https://rtc-api.zego.im?Action=ResumeRTCStreams

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    StreamId[] string[]required

    Possible values: >= 1, <= 20

    List of Stream IDs, supporting up to 20 Stream IDs.

    Sequence stringrequired

    Request sequence number.

    Note

    For the same StreamId, within 10 consecutive seconds, the request sequence number issued for this StreamId must be strictly increasing; this avoids inconsistent operation order caused by inconsistent request timing received by the server.

    If there is no concurrent scenario, using a timestamp (millisecond level) is recommended.

Responses

Success
Schema
    Code number

    Return code. The following only lists some return codes related to the API business logic. For the complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    30002API call rate too high.Please reduce the API request frequency.
    30003Internal error.Please contact ZEGOCLOUD Technical Support.
    30004Incorrect isTest parameter.Please check if the isTest common parameter is correct.
    30005Invalid AppId.Please check if the AppId is correct.
    30006Invalid StreamId list.Please check if StreamId[] is correct.
    42004Failed to batch resume RTC stream publishing.Please contact ZEGOCLOUD Technical Support.
    Message string

    Operation result description

    RequestId string

    Request ID

    Data object

    Response data

Previous

ForbidRTCStreams

Next

CreatCDNTransferRule

On this page

Back to top